pcl::gpu::people::Tree2 Struct Reference

This structure containts all parameters to describe the segmented tree. More...

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/include/pcl/gpu/people/label_tree.h>`

## Public Member Functions

| Tree2 ()

## Public Attributes

int | id
part_t | label
int | lid
int | nr_parts
int | parts_lid [NUM_PARTS]
float | total_dist_error
float | norm_dist_error
Eigen::Vector4f | mean
Eigen::Matrix3f | cov
Eigen::Vector3f | eigenval
Eigen::Matrix3f | eigenvect
pcl::PointIndices | indices
Eigen::Vector4f | min
Eigen::Vector4f | max

## Detailed Description

This structure containts all parameters to describe the segmented tree.

Definition at line 75 of file label_tree.h.

## Constructor & Destructor Documentation

## Tree2()

pcl::gpu::people::Tree2::Tree2 | ( |  | ) |

inline

Definition at line 78 of file label_tree.h.

References pcl::gpu::people::NO_CHILD, pcl::gpu::people::NUM_PARTS, and parts_lid.

## Member Data Documentation

## cov

Eigen::Matrix3f pcl::gpu::people::Tree2::cov

Definition at line 93 of file label_tree.h.

Referenced by pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

## eigenval

Eigen::Vector3f pcl::gpu::people::Tree2::eigenval

Definition at line 94 of file label_tree.h.

Referenced by pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

## eigenvect

Eigen::Matrix3f pcl::gpu::people::Tree2::eigenvect

Definition at line 95 of file label_tree.h.

Referenced by pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

## id

int pcl::gpu::people::Tree2::id

Definition at line 84 of file label_tree.h.

Referenced by pcl::gpu::people::operator<<().

## indices

pcl::PointIndices pcl::gpu::people::Tree2::indices

Definition at line 97 of file label_tree.h.

Referenced by pcl::gpu::people::browseTree(), pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

## label

part_t pcl::gpu::people::Tree2::label

Definition at line 85 of file label_tree.h.

Referenced by pcl::gpu::people::buildTree(), pcl::gpu::people::hasThisLabelChildren(), pcl::gpu::people::leafBlobVector(), pcl::gpu::people::noChildBlobVector(), and pcl::gpu::people::operator<<().

## lid

int pcl::gpu::people::Tree2::lid

Definition at line 86 of file label_tree.h.

Referenced by pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

## max

Eigen::Vector4f pcl::gpu::people::Tree2::max

Definition at line 99 of file label_tree.h.

Referenced by pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

## mean

Eigen::Vector4f pcl::gpu::people::Tree2::mean

Definition at line 92 of file label_tree.h.

Referenced by pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

## min

Eigen::Vector4f pcl::gpu::people::Tree2::min

Definition at line 98 of file label_tree.h.

Referenced by pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

## norm_dist_error

float pcl::gpu::people::Tree2::norm_dist_error

Definition at line 90 of file label_tree.h.

Referenced by pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

## nr_parts

int pcl::gpu::people::Tree2::nr_parts

Definition at line 87 of file label_tree.h.

Referenced by pcl::gpu::people::browseTree(), pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

## parts_lid

int pcl::gpu::people::Tree2::parts_lid[NUM_PARTS]

Definition at line 88 of file label_tree.h.

Referenced by pcl::gpu::people::browseTree(), and Tree2().

## total_dist_error

float pcl::gpu::people::Tree2::total_dist_error

Definition at line 89 of file label_tree.h.

Referenced by pcl::gpu::people::browseTree(), pcl::gpu::people::buildTree(), and pcl::gpu::people::operator<<().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/include/pcl/gpu/people/label_tree.h